List active agents
curl --request GET \
--url https://my.propops.app/api/agents/list \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operation completed successfully",
"data": [
{
"ID": 10,
"uuid": "880e8400-e29b-41d4-a716-446655440001",
"first_name": "Agent_001",
"last_name": "Surname_001",
"email": "agent001@example.com",
"branch_id": 1,
"branch_name": "Branch_001",
"is_active": true
}
],
"count": 15
}Agents
List active agents
Retrieve active property agents for job assignment. Required permission: api.agents.list.manage
GET
/
api
/
agents
/
list
List active agents
curl --request GET \
--url https://my.propops.app/api/agents/list \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Operation completed successfully",
"data": [
{
"ID": 10,
"uuid": "880e8400-e29b-41d4-a716-446655440001",
"first_name": "Agent_001",
"last_name": "Surname_001",
"email": "agent001@example.com",
"branch_id": 1,
"branch_name": "Branch_001",
"is_active": true
}
],
"count": 15
}Documentation Index
Fetch the complete documentation index at: https://help.propops.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
All API requests must include a valid Bearer token in the Authorization header.
Tokens are 64-character SHA-256 session hashes issued by the PropOps authentication system.
Example:
Authorization: Bearer a1b2c3d4e5f6...
Query Parameters
Available options:
list Example:
"Agent_001"
Example:
1
Maximum number of records to return (default 50, max 200).
Required range:
1 <= x <= 200Number of records to skip for pagination.
Required range:
x >= 0⌘I